Subject: Re: Extended Addressing Mode

From: Régis Odeyé <[email-masked]>
Date: Wed, 22 Oct 2008 16:18:54 +0200

Matt Sealey wrote:
>
> I'd also be interested in any work done to enable non-contiguous 
> memory areas. Reading the docs for the MPC8641D though I am not sure 
> you can set up LAWs for it?
>
> One thing I wanted to try was installing 4GB in a system and 
> "overlapping" IO (since there is very little of it on a stock 
> MPC8641DHPCN) in the top ~256MB-512MB, but I am fairly sure this is 
> NOT supported because of the way the LAWs work, and also the alignment 
> of the LAWs means it is not fine enough granularity to map between 2GB 
> and 4GB into a window (you can have 2GB or 4GB but not some more 
> arbitrary value?)
>
On my point of view, LAWs sizes are power of 2 and should be aligned to 
the window size. But there is 10 LAWs you can combine to achieve quite a 
lot of different mappings.
Regards.

-- 
Régis ODEYE

Kontron Modular Computers SA
150, rue M. Berthelot / ZI Toulon Est / BP 244 / Fr 83078 TOULON Cedex 9
Phone: (33) 4 98 16 34 86           Fax: (33) 4 98 16 34 01
E-mail: [email-masked]  Web : www.kontron.com